import request from '@/utils/request'
/**
 * 新增EbActivity
 * @param pram
 */
export function activityCreateApi(data) {
    return request({
        url: 'admin/activity/save',
        method: 'POST',
        data
    })
}

/**
 * ebactivity更新
 * @param pram
 */
export function ebactivityUpdateApi(data) {
    return request({
        url: `admin/activity/update?id=${data.id}`,
        method: 'POST',
        data
    })
}

/**
 * ebactivity详情
 * @param pram
 */
export function ebactivityDetailInfoApi(data) {
    return request({
        url: `admin/activity/info`,
        method: 'GET',
        params:data
    })
}

/**
 * ebactivity删除
 * @param data
 */
export function activityDeleteApi(data) {
    return request({
        url: `/admin/activity/delete`,
        method: 'get',
        params:data
    })
}


/**
 * ebactivity列表
 * @param pram
 */
export function activityListApi(params) {
    return request({
        url: 'admin/activity/list',
        method: 'GET',
        params
    })
}

/**
 * ebactivity预约日志记录
 * @param pram
 */
export function activityLogListApi(params) {
    return request({
        url: 'admin/activity/records',
        method: 'GET',
        params
    })
}

/**
 * ebactivity场地预约
 * @param pram
 */
export function activityPlaceListApi(params) {
  return request({
    url: 'admin/place/list',
    method: 'GET',
    params
  })
}

/**
 * ebactivity预约修改
 * @param pram
 */
export function activityPlaceUpdateApi(data) {
  return request({
    url: `admin/place/update?id=${data.id}`,
    method: 'POST',
    data
  })
}
